#: Variant string for counting wild type sequences
WILD_TYPE_VARIANT = "_wt"


#: Variant string for synonymous variants in 'synonymous' DataFrame
SYNONYMOUS_VARIANT = "_sy"


#: Standard codon table for translating wild type and variant DNA sequences
CODON_TABLE = {
    "TTT": "F",
    "TCT": "S",
    "TAT": "Y",
    "TGT": "C",
    "TTC": "F",
    "TCC": "S",
    "TAC": "Y",
    "TGC": "C",
    "TTA": "L",
    "TCA": "S",
    "TAA": "*",
    "TGA": "*",
    "TTG": "L",
    "TCG": "S",
    "TAG": "*",
    "TGG": "W",
    "CTT": "L",
    "CCT": "P",
    "CAT": "H",
    "CGT": "R",
    "CTC": "L",
    "CCC": "P",
    "CAC": "H",
    "CGC": "R",
    "CTA": "L",
    "CCA": "P",
    "CAA": "Q",
    "CGA": "R",
    "CTG": "L",
    "CCG": "P",
    "CAG": "Q",
    "CGG": "R",
    "ATT": "I",
    "ACT": "T",
    "AAT": "N",
    "AGT": "S",
    "ATC": "I",
    "ACC": "T",
    "AAC": "N",
    "AGC": "S",
    "ATA": "I",
    "ACA": "T",
    "AAA": "K",
    "AGA": "R",
    "ATG": "M",
    "ACG": "T",
    "AAG": "K",
    "AGG": "R",
    "GTT": "V",
    "GCT": "A",
    "GAT": "D",
    "GGT": "G",
    "GTC": "V",
    "GCC": "A",
    "GAC": "D",
    "GGC": "G",
    "GTA": "V",
    "GCA": "A",
    "GAA": "E",
    "GGA": "G",
    "GTG": "V",
    "GCG": "A",
    "GAG": "E",
    "GGG": "G",
}


#: Conversions between single- and three-letter amino acid codes
AA_CODES = {
    "Ala": "A",
    "A": "Ala",
    "Arg": "R",
    "R": "Arg",
    "Asn": "N",
    "N": "Asn",
    "Asp": "D",
    "D": "Asp",
    "Cys": "C",
    "C": "Cys",
    "Glu": "E",
    "E": "Glu",
    "Gln": "Q",
    "Q": "Gln",
    "Gly": "G",
    "G": "Gly",
    "His": "H",
    "H": "His",
    "Ile": "I",
    "I": "Ile",
    "Leu": "L",
    "L": "Leu",
    "Lys": "K",
    "K": "Lys",
    "Met": "M",
    "M": "Met",
    "Phe": "F",
    "F": "Phe",
    "Pro": "P",
    "P": "Pro",
    "Ser": "S",
    "S": "Ser",
    "Thr": "T",
    "T": "Thr",
    "Trp": "W",
    "W": "Trp",
    "Tyr": "Y",
    "Y": "Tyr",
    "Val": "V",
    "V": "Val",
    "Ter": "*",
    "*": "Ter",
    "???": "?",
    "?": "???",
}
